#
# spec file for package pk-update-icon
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pk-update-icon
Version:        2
Release:        5.3
Summary:        Software Update Notifier based on PackageKit
License:        GPL-2.0+
Group:          System/Daemons
Url:            https://hg.guido-berhoerster.org/projects/pk-update-icon/
Source:         %{name}-%{version}.tar.gz
BuildRequires:  docbook5-xsl-stylesheets
BuildRequires:  docbook_5
BuildRequires:  intltool
BuildRequires:  libxslt-tools
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(packagekit-glib2)
BuildRequires:  pkgconfig(unique-1.0)
Recommends:     %{name}-lang
# activating the tray icon executes gpk-update-viewer
Requires:       gnome-packagekit

%description
pk-update-icon displays notifications and an icon in the tray area of the panel
when package updates are available.

%lang_package

%prep
%setup -q

%build
make %{?_smp_mflags} \
    prefix=%{_prefix} \
%if 0%{?suse_version} == 1230
    DOCBOOK5_MANPAGES_STYLESHEET='/usr/share/xml/docbook/stylesheet/nwalsh5/1.77.1/manpages/docbook.xsl' \
%endif
    CFLAGS="%{optflags}" \
    UPDATE_VIEWER_COMMAND="/usr/bin/gpk-update-viewer"

%install
%make_install prefix=%{_prefix}
%suse_update_desktop_file %{name}

%find_lang %{name} %{?no_lang_C}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPYING NEWS
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_sysconfdir}/xdg/autostart/%{name}.desktop

%files lang -f %{name}.lang

%changelog
* Mon Jun 22 2015 gber@opensuse.org
- update to version 2
  - Update German and Indonesian translations
  - Update and improve Czech translation
  - Avoid passing more arguments to g_strdup_printf() than specified in the
    format
  - Document configuration default values
  - Make the update viewer command configurable
  - Prevent calling g_source_remove() on an invalid source ID
  - Improve README file
  - Add NEWS file
* Fri Feb  7 2014 gber@opensuse.org
- update to version 1
  - Add missing function prototypes
  - Stylistic fixes
  - Add README file with build instructions and author information
  - Convert the manpage to DocBook V5.0
  - Use pax to generate tarballs
  - Fix automatic dependency generation and improve portability
* Thu Oct 17 2013 gber@opensuse.org
- add dependency on gnome-packagekit since activating the tray icon
  executes gpk-update-viewer (bnc#846342)
* Tue Oct  1 2013 gber@opensuse.org
- update URL
* Wed Jul 18 2012 gber@opensuse.org
- update to version 0.2.2
  - increase the default update interval to 24 h in order to ease
    the load on the infrastructure
  - increase the default delay before checking for updates to 5 min
    as commit 777c0d750cdc0a1e31f98066fc248e04e2e84599 was
    incomplete (bnc#729230)
* Tue Mar 27 2012 gber@opensuse.org
- specfile cleanup
- split off -lang subpackage
* Tue Nov 15 2011 gber@opensuse.org
- update to version 0.2.1
  - hide the autostart file in KDE and GNOME rather than explicitly
    showing it in Xfce and LXDE only
  - increase default startup-delay to 5 min (bnc#729230)
  - fix some typos
  - use the VERSION macro in the about dialog
* Sat Oct 22 2011 gber@opensuse.org
- update to version 0.2
  - translation updates
* Thu Oct 20 2011 gber@opensuse.org
- updated to current git version
  - GObject-based rewrite
  - update existing notification when new updates become available,
    close it when no updates are available
  - show status icon when updates are available, hide it when no
    updates are available
  - hide icon when gpk-update-viewer is executed, check for updates
    when gpk-update-viewer exits
  - introduce a startup delay before the first check for updates is
    made
  - add context menu item to manually trigger a check for updates
  - add CLI, make delay and interval configurable
  - add an about dialog
  - added a button for installing updates to the notification
* Tue Oct 11 2011 prusnak@opensuse.org
- added manpage, autostart and localization
* Thu Oct  6 2011 prusnak@opensuse.org
- created package
